<section class="center-container">
    <h2>Eigen producten</h2>
    <hr id="streep" size="8" align="left" width="100%" color="#d7625b">
    <div id="table-wrapper">
        <div id="table-scroll">

            <ng2-smart-table  [settings]="settings" [source]="addedProducts | async" (rowSelect)="onSelect($event)" (create)="productToevoegen($event)"></ng2-smart-table>

        </div>
    </div>

    <div id="productbuttons">

        <input type="button" class="inputbutton" value="Product Toevoegen" routerLink="/producten/add">
        <input type="button" (click)="productVerwijderen()" class="inputbutton" value="Product verwijderen">
        <input type="button" *ngIf="selectedProduct.description" (click)="productTable = true; editing = true" class="inputbutton" value="Product aanpassen">
    </div>
    <div [hidden]="!editing">
        <div class="form-group">
            <form name="productForm" #editProductForm="ngForm" (ngSubmit)="editProduct()" id="productForm" [(ngModel)]="selectedProduct">
                <label for="description">Omschrijving: </label>
                <input type="text" name="description" id="description" [(ngModel)]="selectedProduct.description" value="selectedProduct.description">
                <label for="manufacturer">Fabrikant: </label>
                <input type="text" name="manufacturer" [(ngModel)]="selectedProduct.manufacturer" id="manufacturer">
                <label for="commentaar">Commentaar: </label>
                <input type="text" name="commentaar" [(ngModel)]="selectedProduct.commentaar" id="commentaar">
                <label for="hoeveelheid">Product hoeveelheid: </label>
                <input type="text" name="amount" [(ngModel)]="selectedProduct.hoeveelheid" id="hoeveelheid">
                <label for="eenheid">Product eenheid: </label>
                <input type="text" name="measureUnit" [(ngModel)]="selectedProduct.eenheid" id="eenheid">
                <label for="kcal">Kcal: </label>
                <input type="text" name="kcal" [(ngModel)]="selectedProduct.kcal" id="kcal">
                <label for="kjoule">kjoule: </label>
                <input type="text" name="kjoule" [(ngModel)]="selectedProduct.kjoule" id="kjoule">
                <label for="stikstof">stikstof: </label>
                <input type="text" name="stikstof" [(ngModel)]="selectedProduct.stikstof" id="stikstof">
                <label for="eiwit">eiwit: </label>
                <input type="text" name="eiwit" [(ngModel)]="selectedProduct.eiwit" id="eiwit">
                <label for="eiwitPlant">eiwitPlant: </label>
                <input type="text" name="eiwitPlant" [(ngModel)]="selectedProduct.eiwitPlant" id="eiwitPlant">
                <label for="eiwitDierlijk">eiwitDierlijk: </label>
                <input type="text" name="eiwitDierlijk" [(ngModel)]="selectedProduct.eiwitDierlijk" id="eiwitDierlijk">
                <label for="vet">vet: </label>
                <input type="text" name="vet" [(ngModel)]="selectedProduct.vet" id="vet">
                <label for="vetzurenTotaal">vetzurenTotaal: </label>
                <input type="text" name="vetzurenTotaal" [(ngModel)]="selectedProduct.vetzurenTotaal" id="vetzurenTotaal">
                <label for="vetzurenVerzadigd">vetzurenVerzadigd: </label>
                <input type="text" name="vetzurenVerzadigd" [(ngModel)]="selectedProduct.vetzurenVerzadigd" id="vetzurenVerzadigd">
                <label for="eov">eov: </label>
                <input type="text" name="eov" [(ngModel)]="selectedProduct.eov" id="eov">
                <label for="mov">mov: </label>
                <input type="text" name="mov" [(ngModel)]="selectedProduct.mov" id="mov">
                <label for="linolzuur">linolzuur: </label>
                <input type="text" name="linolzuur" [(ngModel)]="selectedProduct.linolzuur" id="linolzuur">
                <label for="transvet">transvet: </label>
                <input type="text" name="transvet" [(ngModel)]="selectedProduct.transvet" id="transvet">
                <label for="ala">ala: </label>
                <input type="text" name="ala" [(ngModel)]="selectedProduct.ala" id="ala">
                <label for="epa">epa: </label>
                <input type="text" name="epa" [(ngModel)]="selectedProduct.epa" id="epa">
                <label for="dha">dha: </label>
                <input type="text" name="dha" [(ngModel)]="selectedProduct.dha" id="dha">
                <label for="cholesterol">cholesterol: </label>
                <input type="text" name="cholesterol" [(ngModel)]="selectedProduct.cholesterol" id="cholesterol">
                <label for="koolhydraten">koolhydraten: </label>
                <input type="text" name="koolhydraten" [(ngModel)]="selectedProduct.koolhydraten" id="koolhydraten">
                <label for="suiker">suiker: </label>
                <input type="text" name="suiker" [(ngModel)]="selectedProduct.suiker" id="suiker">
                <label for="mvKh">mvKh: </label>
                <input type="text" name="mvKh" [(ngModel)]="selectedProduct.mvKh" id="mvKh">
                <label for="polyolen">polyolen: </label>
                <input type="text" name="polyolen" [(ngModel)]="selectedProduct.polyolen" id="polyolen">
                <label for="vezels">vezels: </label>
                <input type="text" name="vezels" [(ngModel)]="selectedProduct.vezels" id="vezels">
                <label for="water">water: </label>
                <input type="text" name="water" [(ngModel)]="selectedProduct.water" id="water">
                <label for="alcohol">alcohol: </label>
                <input type="text" name="alcohol" [(ngModel)]="selectedProduct.alcohol" id="alcohol">
                <label for="calcium">calcium: </label>
                <input type="text" name="calcium" [(ngModel)]="selectedProduct.calcium" id="calcium">
                <label for="fosfor">fosfor: </label>
                <input type="text" name="fosfor" [(ngModel)]="selectedProduct.fosfor" id="fosfor">
                <label for="ijzerT">ijzerT: </label>
                <input type="text" name="ijzerT" [(ngModel)]="selectedProduct.ijzerT" id="ijzerT">
                <label for="ijzerHaem">ijzerHaem: </label>
                <input type="text" name="ijzerHaem" [(ngModel)]="selectedProduct.ijzerHaem" id="ijzerHaem">
                <label for="natrium">natrium: </label>
                <input type="text" name="natrium" [(ngModel)]="selectedProduct.natrium" id="natrium">
                <label for="kalium">kalium: </label>
                <input type="text" name="kalium" [(ngModel)]="selectedProduct.kalium" id="kalium">
                <label for="magnesium">magnesium: </label>
                <input type="text" name="magnesium" [(ngModel)]="selectedProduct.magnesium" id="magnesium">
                <label for="zink">zink: </label>
                <input type="text" name="zink" [(ngModel)]="selectedProduct.zink" id="zink">
                <label for="selenium">selenium: </label>
                <input type="text" name="selenium" [(ngModel)]="selectedProduct.selenium" id="selenium">
                <label for="koper">koper: </label>
                <input type="text" name="koper" [(ngModel)]="selectedProduct.koper" id="koper">
                <label for="jodium">jodium: </label>
                <input type="text" name="jodium" [(ngModel)]="selectedProduct.jodium" id="jodium">
                <label for="retinol">retinol: </label>
                <input type="text" name="retinol" [(ngModel)]="selectedProduct.retinol" id="retinol">
                <label for="bCarteen">bCarteen: </label>
                <input type="text" name="bCarteen" [(ngModel)]="selectedProduct.bCarteen" id="bCarteen">
                <label for="vitB1">vitB1: </label>
                <input type="text" name="vitB1" [(ngModel)]="selectedProduct.vitB1" id="vitB1">
                <label for="vitB2">vitB2: </label>
                <input type="text" name="vitB2" [(ngModel)]="selectedProduct.vitB2" id="vitB2">
                <label for="vitB6">vitB6: </label>
                <input type="text" name="vitB6" [(ngModel)]="selectedProduct.vitB6" id="vitB6">
                <label for="vitB12">vitB12: </label>
                <input type="text" name="vitB12" [(ngModel)]="selectedProduct.vitB12" id="vitB12">
                <label for="vitD">vitD: </label>
                <input type="text" name="vitD" [(ngModel)]="selectedProduct.vitD" id="vitD">
                <label for="vitE">vitE: </label>
                <input type="text" name="vitE" [(ngModel)]="selectedProduct.vitE" id="vitE">
                <label for="vitC">vitC: </label>
                <input type="text" name="vitC" [(ngModel)]="selectedProduct.vitC" id="vitC">
                <label for="vitK2">vitK2: </label>
                <input type="text" name="vitK2" [(ngModel)]="selectedProduct.vitK2" id="vitK2">
                <label for="vitK1">vitK1: </label>
                <input type="text" name="vitK1" [(ngModel)]="selectedProduct.vitK1" id="vitK1">
                <label for="vitK">vitK: </label>
                <input type="text" name="vitK" [(ngModel)]="selectedProduct.vitK" id="vitK">
                <label for="folaat">folaat: </label>
                <input type="text" name="folaat" [(ngModel)]="selectedProduct.folaat" id="folaat">
                <label for="cholecalciferol">cholecalciferol: </label>
                <input type="text" name="cholecalciferol" [(ngModel)]="selectedProduct.cholecalciferol" id="cholecalciferol">
                <label for="lycopeen">lycopeen: </label>
                <input type="text" name="lycopeen" [(ngModel)]="selectedProduct.lycopeen" id="lycopeen">
                <label for="bCryptoxanthine">bCryptoxanthine: </label>
                <input type="text" name="bCryptoxanthine" [(ngModel)]="selectedProduct.bCryptoxanthine" id="bCryptoxanthine">
                <label for="zeaxanthine">zeaxanthine: </label>
                <input type="text" name="zeaxanthine" [(ngModel)]="selectedProduct.zeaxanthine" id="zeaxanthine">
                <label for="luteine">luteine: </label>
                <input type="text" name="luteine" [(ngModel)]="selectedProduct.luteine" id="luteine">
                <label for="aCaroteen">aCaroteen: </label>
                <input type="text" name="aCaroteen" [(ngModel)]="selectedProduct.aCaroteen" id="aCaroteen">
                <label for="dTocoferol">dTocoferol: </label>
                <input type="text" name="dTocoferol" [(ngModel)]="selectedProduct.dTocoferol" id="dTocoferol">
                <label for="gammaTocoferol">gammaTocoferol: </label>
                <input type="text" name="gammaTocoferol" [(ngModel)]="selectedProduct.gammaTocoferol" id="gammaTocoferol">
                <label for="bTocoferol">bTocoferol: </label>
                <input type="text" name="bTocoferol" [(ngModel)]="selectedProduct.bTocoferol" id="bTocoferol">
                <label for="aTocoferol">aTocoferol: </label>
                <input type="text" name="aTocoferol" [(ngModel)]="selectedProduct.aTocoferol" id="aTocoferol">
                <label for="nicZuur">nicZuur: </label>
                <input type="text" name="nicZuur" [(ngModel)]="selectedProduct.nicZuur" id="nicZuur">
                <label for="foliumzuur">foliumzuur: </label>
                <input type="text" name="foliumzuur" [(ngModel)]="selectedProduct.foliumzuur" id="foliumzuur">
                <input type="submit" value="Pas aan" class="inputbutton">
                <input type="button" (click)="productTable = false; editing = false" class="inputbutton" value="Annuleren">
            </form>
        </div>
    </div>
</section>

